Subject: bug#10409: Minibuffer sized according to default face, not minibuffer face

From: David Reitter <[email-masked]>
Date: Fri, 30 Dec 2011 09:19:19 +0100

X-Debbugs-CC: Jeremy Thurgood <[email-masked]>

Jeremy,
can you please try this out with the latest nightly build (Emacs 24), available from http://aquamacs.org/nightlies.shtml
and update this bug with the version number (and ideally everything from Help->Diagnosis->Report Bug).
Please use Help->Diagnosis->Start without customizations.

Thanks
- David

Begin forwarded message:

> From: Jeremy Thurgood <[email-masked]>
> Subject: [Aquamacs-bugs] Minibuffer sized according to default face, not minibuffer face
> Date: December 29, 2011 9:52:52 AM GMT+01:00
> To: [email-masked]
> Reply-To: Bug reports for Aquamacs Emacs <[email-masked]>
> 
> Good day,
> 
> I'm not sure if this is a bug or if it's just non-obvious behaviour,
> 
> The height of the minibuffer (in pixels) is set in increments of the
> line height for the default face. If the echo area face (the one from
> which all minibuffer faces inherit) is slightly taller than the
> default face, this means that the minibuffer is one line high when
> empty and two lines high if there's anything in it. As a consequence,
> the minibuffer is constantly resizing, which is visually jarring. In
> my case, I set my default face to a font that is a little shorter then
> Lucida Grande (the default font for the echo area face) and ran into
> this behaviour. It can be replicated merely by setting the echo area
> face's height to a large scale -- 1.5 will do.
> 
> As a workaround, the height of the minibuffer face can be adjusted to
> a scale less than 1.0 to make the line height fit. Alternatively, the
> font can be changed to one that fits better. In my case, I just
> removed the override and allowed it to inherit the font from my
> default face. It looks a bit uglier, but it lets me avoid tinkering
> with the height whenever I change the default font.
> 
> Thanks,
> --J